Bug 1418634 - [abrt] liferea: rule_check_item_is_unread(): liferea killed by SIGSEGV
Summary: [abrt] liferea: rule_check_item_is_unread(): liferea killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: liferea
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Yaakov Selkowitz
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5fd4552a565d4a1683250f62c67...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 11:55 UTC by Sam Tygier
Modified: 2017-12-12 10:32 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:32:45 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (46.67 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: core_backtrace (3.09 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: dso_list (16.68 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: environ (2.41 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: maps (85.33 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: mountinfo (3.83 KB, text/plain)
2017-02-02 11:55 UTC, Sam Tygier
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-02 11:56 UTC, Sam Tygier
no flags Details
File: open_fds (1.35 KB, text/plain)
2017-02-02 11:56 UTC, Sam Tygier
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-02-02 11:56 UTC, Sam Tygier
no flags Details
File: var_log_messages (9.94 KB, text/plain)
2017-02-02 11:56 UTC, Sam Tygier
no flags Details

Description Sam Tygier 2017-02-02 11:55:40 UTC
Description of problem:
The count on the unread folder was out (icon said 30, but folder was empty). I right clicked and selected 'rebuild'. This caused the crash.

Version-Release number of selected component:
liferea-1.10.19-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        liferea
crash_function: rule_check_item_is_unread
executable:     /usr/bin/liferea
global_pid:     7243
kernel:         4.9.6-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #0 rule_check_item_is_unread at rule.c:103
 #1 itemset_check_item at itemset.c:446
 #2 vfolder_loader_fetch_cb at vfolder_loader.c:51
 #3 item_loader_fetch at item_loader.c:111
 #8 g_main_context_iteration at gmain.c:3990
 #9 g_application_run at gapplication.c:2381

Comment 1 Sam Tygier 2017-02-02 11:55:47 UTC
Created attachment 1247078 [details]
File: backtrace

Comment 2 Sam Tygier 2017-02-02 11:55:48 UTC
Created attachment 1247079 [details]
File: cgroup

Comment 3 Sam Tygier 2017-02-02 11:55:50 UTC
Created attachment 1247080 [details]
File: core_backtrace

Comment 4 Sam Tygier 2017-02-02 11:55:52 UTC
Created attachment 1247081 [details]
File: dso_list

Comment 5 Sam Tygier 2017-02-02 11:55:53 UTC
Created attachment 1247082 [details]
File: environ

Comment 6 Sam Tygier 2017-02-02 11:55:54 UTC
Created attachment 1247083 [details]
File: exploitable

Comment 7 Sam Tygier 2017-02-02 11:55:56 UTC
Created attachment 1247084 [details]
File: limits

Comment 8 Sam Tygier 2017-02-02 11:55:58 UTC
Created attachment 1247085 [details]
File: maps

Comment 9 Sam Tygier 2017-02-02 11:55:59 UTC
Created attachment 1247086 [details]
File: mountinfo

Comment 10 Sam Tygier 2017-02-02 11:56:00 UTC
Created attachment 1247087 [details]
File: namespaces

Comment 11 Sam Tygier 2017-02-02 11:56:01 UTC
Created attachment 1247088 [details]
File: open_fds

Comment 12 Sam Tygier 2017-02-02 11:56:03 UTC
Created attachment 1247089 [details]
File: proc_pid_status

Comment 13 Sam Tygier 2017-02-02 11:56:04 UTC
Created attachment 1247090 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:56:51 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:32:45 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.